* {
    margin:0;
    padding:0;
    box-sizing:border-box;
    text-decoration: none;
    scroll-behavior: smooth;
    font-family: "Poppins";
}
:root {
    --bg-color: #080808;
    --second-bg-color:#101010;
    --text-color:white;
    --main-color:#ea580c;
}
html {
    font-size: 60%;
    overflow-x:hidden;
}
body{
    background: var(--bg-color);
    color: var(--text-color);   
}
.header{
    position: fixed;
    width:100%;
    top:0;
    left:0;
    padding: 4rem 15%;
    background:rgba(0,0,0,0.3);
    backdrop-filter:blur(10px);
    display: flex;
    justify-content: space-between;
    align-items: center;
    z-index:1000;
}
#menu-icon{
    font-size:3.5rem;
    color: var(--text-color);
    font-weight:800;
    cursor:pointer;
    transition:0.3s ease-in-out;
    display:none;
}
.logo{
    font-size: 3rem;
    color: var(--text-color);
    font-weight:800;
    cursor:pointer;
    transition:0.3s ease-in-out;
}
.logo:hover{
    transform:scale(1.1);
}
span{
    background:linear-gradient(
        270deg,
        #DF8908 10%,
        #FF1D15 100%
    );
    background-clip: text;
    color: transparent;
}
.navbar a{
    font-size: 1.8rem;
    color: var(--text-color);
    margin-left: 4rem;
    font-weight: 500;
    transition: 0.3s ease-in-out;
    border-bottom: 3px solid transparent;
}
.navbar a:hover {
    color: var(--main-color);
    border-bottom: 3px solid var(--main-color);
}
.gradient-btn{
    font-size: 1.8rem;
    padding: 1rem 2rem;
    border-radius: 3rem;
    background: linear-gradient(
        270deg,
        #DF8908 10%,
        #FF1D15 100%
    );
    letter-spacing: 1px;
    cursor: pointer;
    transition: 0.3s ease-in-out;
    color: white;
    border: none;
    text-wrap: nowrap;
}
.gradient-btn:hover{
    transform: scale(1.05);
}
section{
    min-height: 100vh;
    padding: 10rem 15%;
}
.home{
    display:flex;
    align-items: center;
    justify-content: center;
    gap: 15rem;
}
.home-content{
    display: flex;
    flex-direction:column;
    align-items: flex-end;
    text-align:right;
}
.home-content h1{
    font-size: 8rem;
    font-weight:700;
    margin-top:1.5rem;
    line-height:1;
}
.home-content h3{
    margin: 1rem 0;
    font-size: 4rem;
}
.home-content p{
    font-size: 1.5rem;
    font-weight:500;
    line-height:1.8;
}
.home-img img{
    width: 28vw;
    height: 28vw;          
    border-radius: 50%;
    object-fit: cover;     
    object-position: center 50%;
    box-shadow: 0 0 25px var(--main-color);
    transition: 0.4s ease-in-out;
}
.home-img img:hover{
    box-shadow: 0 0 25px var(--main-color), 
    0 0 50px var(--main-color), 
    0 0 100px var(--main-color);
}
.social-icon a{
    display: inline-flex;
    justify-content: center;
    align-items: center;
    font-size: 3rem;
    padding:1rem;
    background: transparent;
    border:2px solid var(--main-color);
    border-radius: 50%;
    color: var(--main-color);
    margin: 3rem 0.5rem;
    transition: 0.3s ease-in-out;
}
.social-icon a:hover{
    color: var(--text-color);
    background-color: var(--main-color);
    transform: scale(1.2) translateY(-5px);
    box-shadow: 0 0 25px var(--main-color);
}
.btn-group{
    display:flex;
    gap: 1.5rem;
}
.btn{
    display: inline-block;
    padding: 1rem 3rem;
    background-color: var(--main-color);
    box-shadow: 0 0 25px var(--main-color);
    border-radius: 3rem;
    font-size: 1.8rem;
    color: black;
    border: 2px solid transparent;
    font-weight:600;
    transition: 0.3s ease-in-out;   
}
.btn:hover{
    transform:scale(1.05);
    box-shadow: 0 0 25px var(--main-color), 
    0 0 25px var(--main-color);
}
.btn-group a:nth-of-type(2) {
    background-color:black;
    color: var(--main-color);
    border: 2px solid var(--main-color);
    box-shadow: 0 0 25px transparent;
}
.btn-group a:nth-of-type(2):hover {
    background-color:var(--main-color);
    color: black;
    box-shadow: 0 0 25px var(--main-color);
}
.about{
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 10rem;
    background-color: var(--second-bg-color);
    gap: 2.5rem;
}
.about-img img{
    width: 28vw;
    height: 28vw;          
    border-radius: 50%;
    object-fit: cover;     
    object-position: center 50%;
    box-shadow: 0 0 25px var(--main-color);
    transition: 0.4s ease-in-out;
}
.about-img img:hover{
    box-shadow: 0 0 25px var(--main-color), 
    0 0 50px var(--main-color), 
    0 0 100px var(--main-color);
}
.about-content {
    gap: 2.5rem;
}
.about-content h2 {
    font-size: 7rem;
    text-align: left;
}
.about-content p {
    font-size: 1.5rem;
}
.about-content .btn {
    margin: 3rem 0;
}
.about-grid {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 2.5rem;
    margin-top: 2rem;
}
.about-box {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    background-color: var(--bg-color);
    padding: 2.5rem;
    border-radius: 2rem;
    cursor: pointer;
    border: 2px solid transparent;
    transition: all 0.3s ease;
    text-align: center;
}
.about-box:hover {
    background: var(--second-bg-color);
    color: var(--main-color);
    border: 2px solid var(--main-color);
    transform: scale(1.3);
}
.about-box h3 {
    font-size: 2rem;
    margin-bottom: 1rem;
    font-weight: 700;
}
.about-box h4 {
    font-size: 1.5rem;
    margin-top: 1rem;
    font-weight: 600;
}
.about-box p {
    line-height: 1.6;
}
.about-box a {
    color: inherit;           
    text-decoration: underline;
}
::-webkit-scrollbar{
    width:20px;
}
::-webkit-scrollbar-thumb{
    background-color: var(--main-color);
}
::-webkit-scrollbar-track{
    background-color:var(--bg-color);
}
.heading{
    text-align: center;
    font-size:7rem;
    margin: 5rem 0;
}
.experience{
    background-color:var(--bg-color);
    color:black;
}
.experience h2{
    color: var(--text-color);
}
.experience-container{
    display:grid;
    grid-template-columns: repeat(auto-fit,minmax(300px, 1fr));
    align-items:center;
    gap: 2.5rem;
}
.experience-box{
    display:flex;
    justify-content: center;
    align-items:center;
    background-color: var(--main-color);
    height: 600px;
    border-radius: 3rem;
    cursor: pointer;
    border: 5px solid transparent;
    transition: 0.3s;
}
.experience-box:hover{
    background: var(--second-bg-color);
    color: var(--main-color);
    border: 5px solid var(--main-color);
    transform: scale(1.03);
}
.experience-info{
    display: flex;
    flex-direction: column;
    text-align: center;
    justify-content: center;
    align-items: center;
    padding: 5rem;
}
.experience-info h4{
    font-size: 4rem;
    margin: 2rem 0;
    font-weight: 800;
}
.experience-info p{
    font-size: 1.4rem;
    font-weight: 600;
    line-height: 1.7;
}
.experience-info i{
    font-size:8rem;
}
.projects{
    background-color: var(--bg-color);
}
.project-box{
    display:grid;
    grid-template-columns: repeat(auto-fit, minmax(350px, 1fr));
    place-items: center;
    gap:3rem;
    row-gap:5rem;
}
.project-card{
    height:600px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: center;
    background-color: var(--second-bg-color);
    border: 2px solid var(--main-color);
    border-radius: 3rem;
    gap: 2rem;
    padding: 5rem;
    overflow: hidden;
    cursor: pointer;
    box-shadow: 0 0 5px var(--main-color);
    transition:0.3s ease;
}
.project-card:hover{
    box-shadow: 0 0 25px var(--main-color),
    0 0 50px var(--main-color);
    transform: scale(1.02);
}
.project-card img{
    max-width:300px;
    border-radius: 2rem;
    object-fit:cover;
}
.project-card h3{
    font-size:3rem;
}
.project-card p{
    font-size:1.6rem;
}
.contact{
    background-color: var(--second-bg-color);
}
.contact h2{
    margin-bottom: 3rem;
    color: var(--text-color);
}
.contact form{
    display: flex;
    align-items: center;
    justify-content: center;
    gap:3rem;
    margin:5rem 0;
    text-align: center;
}
.contact form .input-box input,
.contact form textarea{
    width: 100%;
    padding: 2.5rem;
    font-size: 1.8rem;
    color: var(--text-color);
    background-color: var(--bg-color);
    border-radius: 2rem;
    border: 2px solid var(--main-color);
    margin: 1.5rem 0;
    resize:none;
}
.footer{
    background: var(--bg-color);
    padding: 50px 0;
}
.footer .social-icon{
    text-align: center;
}
.footer ul{
    text-align: center;
    font-size: 1.8rem;
}
.footer ul li{
    display: inline-block;
    margin-left: 20px;
}
.footer ul li a{
    color:white;
    border-bottom: 3px solid transparent;
    transition: 0.3s ease-in-out;
}
.footer ul li a:hover{
    border-bottom: 3px solid var(--main-color);
}
.footer .copyright{
    text-align: center;
    margin-top: 40px;
    font-size: 16px;
}

/* Hide only this link on desktop */
.mobile-guides{
    display: none;
}

@media(max-width: 768px) {
    #menu-icon{
        display: block;
    }
    .navbar{
        display:none;
        position:absolute;
        top:100%;
        right:0;
        width: 50%;
        padding: 1rem 3rem;
        background: rgba(0,0,0,0.8);
        border-bottom-left-radius: 2rem;
        border-left: 2px solid var(--main-color);
        border-bottom: 2px solid var(--main-color);
    }

    .navbar a{
    display: block;
    font-size: 2rem;
    margin:3rem 0;
    color: var(--text-color);
    }
    .navbar.active{
        display:block;
    }
    .gradient-btn{
        display:none;
    }
    .home{
        flex-direction: column-reverse;
        margin: 5rem 0;
        gap: 5rem;
    }
    .home-content{
        align-items: center;
        text-align: center;
    }
    .home-content h1{
    font-size: 3rem;
    font-weight:700;
    margin-top:1rem;
    line-height:0.5;
    }
    .home-content h3{
    margin: 1rem 0;
    font-size: 2rem;
    }
    .about{
        flex-direction: column-reverse;
        text-align: center;
    }
    .about-content h2{
    font-size: 3rem;
    }
    .about h2{
        text-align: center;
        margin: 2rem 0;
    }
    .about img{
        width: 56vw;
        height: 56vw;
    }
    .about-grid {
        grid-template-columns: 1fr;
    }
    .experience h2{
    font-size: 3rem;
    }
    .experience-info h4{
    font-size: 2.5rem;
    }
    .projects h2{
    font-size: 3rem;
    }
    .projects h3{
    font-size: 2rem;
    }
    .contact h2{
    font-size: 3rem;
    }
    .contact form{
        flex-direction:column;
    }
    .project-card img{
        width:250px;
    }
    .project-box{
        grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
    }
    /* Show only on mobile */
    .guides-mobile{
        display: inline-block;
    }
}

